> For the complete documentation index, see [llms.txt](https://docs-embed.anyflow.jp/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-embed.anyflow.jp/anyflow-sdk/docs/reference.md).

# リファレンス

## Solution

<table><thead><tr><th width="154.91796875">フィールド名</th><th width="201.4375">型</th><th width="100.03515625">optional</th><th>説明</th></tr></thead><tbody><tr><td>id</td><td>string</td><td></td><td>ソリューションのID</td></tr><tr><td>name</td><td>string</td><td></td><td>ソリューション名</td></tr><tr><td>state</td><td>not_installed | enabled | disabled</td><td></td><td>ソリューションが未インストールであるか、有効であるか、無効であるか。インストール直後は <code>enabled</code> となる。</td></tr><tr><td>runnable</td><td>boolean</td><td></td><td>ソリューションが実行可能であるか</td></tr><tr><td>createdAt</td><td>date</td><td></td><td>ソリューションの作成日時</td></tr><tr><td>updatedAt</td><td>date</td><td></td><td>ソリューションの更新日時</td></tr><tr><td>thumbnailUrl</td><td>string</td><td>✅</td><td></td></tr><tr><td>latestJob</td><td><a href="/pages/XcWkefBCvPjF5DbDqqq8">Job</a></td><td>✅</td><td>ソリューションが最後に実行されたときのジョブ</td></tr></tbody></table>

## Job

<table><thead><tr><th width="143.95703125">フィールド名</th><th width="229.94921875">型</th><th width="90.59765625">optional</th><th>説明</th></tr></thead><tbody><tr><td>id</td><td>string</td><td></td><td>ジョブのID</td></tr><tr><td>state</td><td>running | succeeded | failed</td><td></td><td>ジョブが実行中であるか、正常終了したか、失敗したかを表します</td></tr><tr><td>archived</td><td>boolean</td><td></td><td></td></tr><tr><td>logs</td><td>string[]</td><td>✅</td><td></td></tr><tr><td>errorMessage</td><td>string</td><td>✅</td><td>ジョブが失敗したときのエラーメッセージ</td></tr><tr><td>startedAt</td><td>date</td><td></td><td>ジョブの開始日時</td></tr><tr><td>finishedAt</td><td>date</td><td>✅</td><td>ジョブの終了日時</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-embed.anyflow.jp/anyflow-sdk/docs/reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
